 
/****** Object:  StoredProcedure [dbo].[P_RC_CLI_CONV_RC_CLI_SALDO_PENDENTE]    Script Date: 02/11/2014 18:34:05 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[P_RC_CLI_CONV_RC_CLI_SALDO_PENDENTE]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[P_RC_CLI_CONV_RC_CLI_SALDO_PENDENTE]
GO
 
CREATE PROCEDURE P_RC_CLI_CONV_RC_CLI_SALDO_PENDENTE AS 
INSERT INTO RC_CLI_CONV_RC_CLI_SALDO_PENDENTE
SELECT 
	DISTINCT RC_CLI_CONV_RC_CLI.CD_EMP,RC_CLI_CONV_RC_CLI.CD_CLI,RC_CLI_CONV_RC_CLI.CD_CONV,GETDATE()
FROM 
	RC_CLI_CONV_RC_CLI 
	INNER JOIN RC_VD_CONV ON
		RC_CLI_CONV_RC_CLI.CD_EMP = RC_VD_CONV.CD_EMP AND
		RC_CLI_CONV_RC_CLI.CD_CLI = RC_VD_CONV.CD_CLI AND
		RC_CLI_CONV_RC_CLI.CD_CONV = RC_VD_CONV.CD_CONV
WHERE
	ST_FECHVD_CONV=0 
	AND NOT EXISTS(SELECT 
						CD_CLI 
					FROM 
						RC_CLI_CONV_RC_CLI_SALDO_PENDENTE 
					WHERE 
						RC_CLI_CONV_RC_CLI_SALDO_PENDENTE.CD_EMP = RC_CLI_CONV_RC_CLI.CD_EMP AND 
						RC_CLI_CONV_RC_CLI_SALDO_PENDENTE.CD_CLI = RC_CLI_CONV_RC_CLI.CD_CLI AND
						RC_CLI_CONV_RC_CLI_SALDO_PENDENTE.CD_CONV = RC_CLI_CONV_RC_CLI.CD_CONV) 
